function [A,B,Diff]= Linearization()
% Define/create symbolic variables for your MV, DV, CV
syms V X S CO2 Fin Ks Y_XS mu_max kd Sin Y_CO2X qs
% MODEL PARAMETERS
% Steady state values
% Define vectors of Disturbances (d), manipulated variables (u)
% and States(x)
u = [Fin];                  % Inputs (if more than 1 MV)
x = [V; X; S; CO2; qs];              % States (if more than one CV)
% % Parameter inputs
% Ks = 0.5646;         % g L^-1 
% Y_XS = 0.4116;
% mu_max = 0.1749;   % h^-1
% kd = 0.0011;
% Y_CO2X = 0.5529; %estimated
% Sin = 100;         % g/L
% % Parameter inputs
% Ks = 0.5676;         % g L^-1 
% Y_XS = 0.4520;
% mu_max = 0.1696;   % h^-1
% kd = 0.001;
% Sin = 100;         % g/L
% 
% Y_CO2X = 0.8582; %estimated
%Differential equations
f(1) = u;
f(2) = -(X ./V) .*u + mu_max .*(S ./(Ks + S)) .*X - kd .*X; %Biomass
f(3) = (Sin .*u) ./ V - mu_max .*(S ./(Ks + S)) .*X ./Y_XS - (S ./ V) .*u; % Substrate
f(4) = -(u./V) .* CO2 + (mu_max .*(S ./(Ks + S)) .*X)./Y_CO2X; %CO2
f(5) = (- mu_max .*(S ./(Ks + S)) .*X ./Y_XS)./CO2;
%Linearization
% Define the Jacobians -
% The state space form requieres x_dot = Ax + Bu + Dd
A=jacobian(f,x);
B=jacobian(f,u);
Diff = eval(f);